### Method

# Gio Task return_value

since: 2.64

#### Declaration

    void
    g_task_return_value (
      GTask* task,
      GValue* result
    )

#### Description

Sets `task`‘s result to `result` (by copying it) and completes the task.

If `result` is `NULL` then a `GValue` of type `G_TYPE_POINTER` with a value of `NULL` will be used for the result.

This is a very generic low-level method intended primarily for use by language bindings; for C code, `g_task_return_pointer()` and the like will normally be much easier to use.

Available since: 2.64

#### Parameters

`result`

  Type: `GValue`

  The `GValue` result of a task function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.